<?php

namespace App\Modules\Passenger\Application\Remove;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class RemovePassengerQuery implements Query
{
    public function __construct(
        private string $id,
        private string $token
    ) {}

    public function id(): int
    {
        return $this->id;
    }

    public function token(): string
    {
        return $this->token;
    }
}
